[arch-commits] Commit in mesa/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu Mar 18 18:49:18 CET 2010


    Date: Thursday, March 18, 2010 @ 13:49:17
  Author: andyrtr
Revision: 72590

upgpkg: mesa 7.7.0.901-1
7,7,1rc1

Modified:
  mesa/trunk/PKGBUILD

----------+
 PKGBUILD |   50 ++++++++++++++++++++++++++++++++------------------
 1 file changed, 32 insertions(+), 18 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-18 17:34:15 UTC (rev 72589)
+++ PKGBUILD	2010-03-18 17:49:17 UTC (rev 72590)
@@ -3,29 +3,32 @@
 
 pkgbase="mesa"
 pkgname=('mesa' 'libgl' 'ati-dri' 'intel-dri' 'unichrome-dri' 'mach64-dri' 'mga-dri' 'r128-dri' 'savage-dri' 'sis-dri' 'tdfx-dri') # 'nouveau-dri')
-pkgver=7.7
-pkgrel=3
+pkgver=7.7.0.901
+pkgrel=1
 arch=(i686 x86_64)
 makedepends=('glproto>=1.4.11' 'pkgconfig' 'libdrm>=2.4.19' 'libxxf86vm>=1.1.0' 'libxdamage>=1.1.2' 'expat>=2.0.1' 'libx11>=1.3.3' 'libxt>=1.0.7' 
 'gcc-libs>=4.4.3' 'dri2proto=2.1' 'python')
 url="http://mesa3d.sourceforge.net"
 license=('custom')
 options=(!makeflags)
-source=(ftp://ftp.freedesktop.org/pub/mesa/${pkgver}/MesaLib-${pkgver}.tar.bz2
-        ftp://ftp.freedesktop.org/pub/mesa/${pkgver}/MesaDemos-${pkgver}.tar.bz2
+source=(#ftp://ftp.freedesktop.org/pub/mesa/${pkgver}/MesaLib-${pkgver}.tar.bz2
+	ftp://ftp.freedesktop.org/pub/mesa/${pkgver/.0.901//}RC/MesaLib-${pkgver/0.901/1-rc1}.tar.bz2
+        #ftp://ftp.freedesktop.org/pub/mesa/${pkgver}/MesaDemos-${pkgver}.tar.bz2
+	ftp://ftp.freedesktop.org/pub/mesa/${pkgver/.0.901//}RC/MesaDemos-${pkgver/0.901/1-rc1}.tar.bz2
         ftp://ftp.archlinux.org/other/mesa/gl-manpages-1.0.1.tar.bz2
         mesa-7.1-link-shared.patch
         intel-revert-vbl.patch
         LICENSE)
-md5sums=('e3fa64a1508bc23dd9de9dd2cea7cfb1'
-         '6fd616b27b9826d0faa23e08e05d9435'
+md5sums=('d0f5622ac53b20b3761dd97c9788211f'
+         'c0771e73648fd3cadeae998b80c7b89d'
          '6ae05158e678f4594343f32c2ca50515'
          '8420bed348e7016ef03cac6545d68389'
          'a111f4dc82e894f8801bc3fa129af7af'
          '5c65a0fe315dd347e09b1f2826a1df5a')
 
 build() {
-  cd "${srcdir}/Mesa-${pkgver}"
+ # cd "${srcdir}/Mesa-${pkgver}"
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}"
   patch -Np1 -i "${srcdir}/mesa-7.1-link-shared.patch" || return 1
   patch -Np1 -i "${srcdir}/intel-revert-vbl.patch" || return 1
   ./configure --prefix=/usr \
@@ -63,7 +66,8 @@
   depends=('libdrm>=2.4.17-2' 'libxxf86vm>=1.1.0' 'libxdamage>=1.1.2' 'expat>=2.0.1')
   pkgdesc="Mesa 3-D graphics library and DRI software rasterizer"
 
-  cd "${srcdir}/Mesa-${pkgver}" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}" || return 1
   install -m755 -d "${pkgdir}/usr/lib" || return 1
   install -m755 -d "${pkgdir}/usr/lib/xorg/modules/extensions"
 
@@ -82,7 +86,8 @@
   depends=('libgl' 'libx11>=1.3.2' 'libxt>=1.0.7' 'gcc-libs>=4.4.2' 'dri2proto=2.1' 'libdrm>=2.4.17-2')
   pkgdesc="Mesa 3-D graphics libraries and include files"
 
-  cd "${srcdir}/Mesa-${pkgver}" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}" || return 1
   make DESTDIR="${pkgdir}" install || return 1
   install -m755 -d "${pkgdir}/usr/bin"
   install -m755 progs/xdemos/glx{gears,info} "${pkgdir}/usr/bin/" || return 1
@@ -105,7 +110,8 @@
   pkgdesc="Mesa DRI drivers for AMD/ATI Radeon"
   conflicts=('xf86-video-ati<6.9.0-6')
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C radeon DESTDIR="${pkgdir}" install || return 1
   make -C r200 DESTDIR="${pkgdir}" install || return 1
   make -C r300 DESTDIR="${pkgdir}" install || return 1
@@ -116,7 +122,8 @@
   depends=("libgl=${pkgver}")
   pkgdesc="Mesa DRI drivers for Intel"
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C i810 DESTDIR="${pkgdir}" install || return 1
   make -C i915 DESTDIR="${pkgdir}" install || return 1
   make -C i965 DESTDIR="${pkgdir}" install || return 1
@@ -130,7 +137,8 @@
   depends=("libgl=${pkgver}")
   pkgdesc="Mesa DRI drivers for S3 Graphics/VIA Unichrome"
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C unichrome DESTDIR="${pkgdir}" install || return 1
 }
 
@@ -139,7 +147,8 @@
   pkgdesc="Mesa DRI drivers for ATI Mach64"
   conflicts=('xf86-video-mach64<6.8.2')
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C mach64 DESTDIR="${pkgdir}" install || return 1
 }
 
@@ -148,7 +157,8 @@
   pkgdesc="Mesa DRI drivers for Matrox"
   conflicts=('xf86-video-mga<1.4.11')
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C mga DESTDIR="${pkgdir}" install || return 1
 }
 
@@ -157,7 +167,8 @@
   pkgdesc="Mesa DRI drivers for ATI Rage128"
   conflicts=('xf86-video-r128<6.8.1')
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C r128 DESTDIR="${pkgdir}" install || return 1
 }
 
@@ -166,7 +177,8 @@
   pkgdesc="Mesa DRI drivers for S3 Sraphics/VIA Savage"
   conflicts=('xf86-video-savage<2.3.1')
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C savage DESTDIR="${pkgdir}" install || return 1
 }
 
@@ -175,7 +187,8 @@
   pkgdesc="Mesa DRI drivers for SiS"
   conflicts=('xf86-video-sis<0.10.2')
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C sis DESTDIR="${pkgdir}" install || return 1
 }
 
@@ -184,7 +197,8 @@
   pkgdesc="Mesa DRI drivers for 3dfx"
   conflicts=('xf86-video-tdfx<1.4.3')
 
-  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+#  cd "${srcdir}/Mesa-${pkgver}/src/mesa/drivers/dri" || return 1
+  cd "${srcdir}/Mesa-${pkgver/0.901/1-rc1}/src/mesa/drivers/dri" || return 1
   make -C tdfx DESTDIR="${pkgdir}" install || return 1
 }
 



More information about the arch-commits mailing list